-- 关系企业信息
DROP TABLE IF EXISTS `biz_entity_related`;
CREATE TABLE `biz_entity_related`
(
    `id`                      BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键ID',
    `user_id`         BIGINT(20)  UNSIGNED NOT NULL COMMENT '用户id',
    `relate_type`         VARCHAR(10)  DEFAULT '' COMMENT '关系类型',
    `country`            VARCHAR(4)        DEFAULT '' COMMENT '国家',
    `status`            TINYINT(3)        DEFAULT 0 COMMENT '状态 0待生效/1生效',
    `entity_type`            VARCHAR(64)        DEFAULT '' COMMENT '企业类型',
    `entity_name`            VARCHAR(64)        DEFAULT '' COMMENT '企业名称',
    `cert_type`            VARCHAR(32)        DEFAULT '' COMMENT '企业证件类型',
    `cert_no`            VARCHAR(32)        DEFAULT '' COMMENT '企业证件号',
    `establish_date`            datetime        DEFAULT NULL COMMENT '成立日期',
    `registered_capital`  VARCHAR(32)        DEFAULT '' COMMENT '注册资本',
    `industry`            VARCHAR(32)        DEFAULT '' COMMENT '所属行业',
    `registered_address`  VARCHAR(64)        DEFAULT '' COMMENT '注册地址',
    `business_address`  	VARCHAR(64)        DEFAULT '' COMMENT '经营地址',
    `business_category`  VARCHAR(64)        DEFAULT '' COMMENT '经营品类',
    `cooperate_from`  	datetime        DEFAULT NULL COMMENT '合作起始日',
    `cooperate_length`  SMALLINT(8)        DEFAULT 0 COMMENT '合作时长',
    `cooperate_unit`  VARCHAR(16)        DEFAULT '' COMMENT '合作时长单位M/Y',
    `contact_name`  		VARCHAR(32)        DEFAULT '' COMMENT '企业联系人姓名',
    `contact_id_no`  		VARCHAR(18)        DEFAULT '' COMMENT '企业联系人身份证号(大陆企业需要)',
    `contact_mobile`  	VARCHAR(18)        DEFAULT '' COMMENT '企业联系人手机号',
    `contact_email`  		VARCHAR(64)        DEFAULT '' COMMENT '企业联系人邮箱',
    `deleted` TINYINT(1) DEFAULT 0 COMMENT '删除标识',
    `gmt_create`              TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `gmt_modified`            TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    PRIMARY KEY (`id`)
)ENGINE=InnoDB DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_bin COMMENT='关系企业信息';


-- 关系企业联系人
DROP TABLE IF EXISTS `biz_entity_related_person`;
CREATE TABLE `biz_entity_related_person`
(
    `id`                      BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键ID',
    `entity_id`               BIGINT(20) DEFAULT 0 COMMENT '企业ID',
    `name`  		VARCHAR(32)        DEFAULT '' COMMENT '姓名',
    `id_no`  		VARCHAR(18)        DEFAULT '' COMMENT '身份证号(大陆企业需要)',
    `mobile`  	VARCHAR(18)        DEFAULT '' COMMENT '手机号',
    `email`  		VARCHAR(64)        DEFAULT '' COMMENT '邮箱',
    `deleted` TINYINT(1) DEFAULT 0 COMMENT '删除标识',
    `gmt_create`              TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `gmt_modified`            TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    PRIMARY KEY (`id`)
)ENGINE=InnoDB DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_bin COMMENT='关系企业联系人信息';